jdk-1.5 update to _3 does not work under freebsd 6 stable

Melvyn Sopacua freebsd.java at melvyn.homeunix.org
Wed Dec 14 13:00:52 PST 2005


Hi,

I'm currently working on jdk15, to get it working with the reworked Mozilla 
1.5 plugin mess.

Since every solution so far, seems to generate an error downstream somewhere, 
I thought I'd post my work so far and see if this makes any sense or that I 
should stop right here, since it'll cause major problems even if build 
succeeds. My C++ isn't that good to begin with, so I haven't got a clue if 
matching the variable types and API changes is getting me anywhere or that 
complete recoding of the webplugin is required.

The patches follow the path conventions from the patches used in the files/ 
dir under the port.

PS: any way to disable the forced rebuilding of api-docs, so that portinstall 
-w finishes a bit sooner? IE:
>>> Recursively making docs docs @ Wed Dec 14 21:54:51 CET 2005 ...
gmake[2]: Entering directory `/work/usr/ports/java/jdk15/work/j2se/make/docs'
rm -f -r /work/usr/ports/java/jdk15/work/control/build/bsd-i586/doc/api

-- 
Melvyn Sopacua
freebsd.java at melvyn.homeunix.org

FreeBSD 6.0-STABLE
Qt: 3.3.5
KDE: 3.4.3


More information about the freebsd-java mailing list